#ifndef KUPA_H
#define KUPA_H

#include "APredmet.h"

class GKupaKons {};

class Kupa: public APredmet {
	double r,h;
public:
	Kupa(double roro=1, double rr=1, double hh=1) : APredmet(roro, "Kupa"), r(rr), h(hh) {
		if (roro<0 || rr<0 || hh<0) throw GKupaKons();
	}
	~Kupa() {}
	double V() const { return r*r*h*3.1415/3; }
	double m() const { return ro*V();}
	APredmet* kopija() const { return new Kupa(*this);}
	friend ostream& operator<< (ostream& os, const Kupa& k) {
		return os<<static_cast<const APredmet&> (k) <<"Dimenzije su: "<<k.r<<','<<k.h<<endl;
	}
};

#endif //KUPA_H