#ifndef VALJAK_H
#define VALJAK_H

#include "APredmet.h"

class GValjakKons {};

class Valjak: public APredmet {
	double r,h;
public:
	Valjak(double roro=1, double rr=1, double hh=1) : APredmet(roro, "Valjak"), r(rr), h(hh) {
		if (roro<0 || rr<0 || hh<0) throw GValjakKons();
	}
	~Valjak() {}
	double V() const { return r*r*h*3.1415; }
	double m() const { return ro*V();}
	APredmet* kopija() const { return new Valjak(*this);}
	friend ostream& operator<< (ostream& os, const Valjak& v) {
		return os<<static_cast<const APredmet&> (v) <<"Dimenzije su: "<<v.r<<','<<v.h<<endl;
	}
};

#endif //VALJAK_H