#ifndef ZBIRKA_H
#define ZBIRKA_H

class GZbirkaPrep {};

class Zbirka {
	APredmet** niz;
	int duzina, pop;

	void kopiraj(const Zbirka& z) {
		if(this!=&z) {
			delete[] niz;
			duzina=z.duzina;
			pop=z.pop;
			niz= new APredmet* [duzina];
			for(int i=0; i<pop; i++) (*niz)[i]=(*(z.niz))[i];
		}
	}
	void brisi() { delete[] niz; }
public:
	Zbirka(int i=5) { duzina=i; niz=new APredmet* [i]; pop=0;}
	Zbirka(const Zbirka& z) { kopiraj(z);}
	~Zbirka() { brisi();}
	Zbirka& operator= (const Zbirka& z) { kopiraj(z); return *this; }
	Zbirka& operator+= (const APredmet& ap) { 
		if(pop==duzina) throw GZbirkaPrep();
		niz[pop++]=ap.kopija();
		return *this;
	}
	APredmet& najmanja() const {
		double najm=((*niz)[0]).m();
		int locator;
		for( int i=0; i<pop; i++) if (((*niz)[i]).m()<najm) { najm=((*niz)[i]).m(); locator=i; }
		return (*niz)[locator];
	}
	double srvr() {
		double sr=0;
		for( int i=0; i<pop; i++) sr+=((*niz)[i]).m();
		sr/=pop;
		return sr;
	}
	void uredi() {
		for(int i=0; i<pop-1; i++)
			for(int j=i+1; i<pop; j++)
				if (((*niz)[i]).m() < ((*niz)[j]).m()) {
					APredmet* temp;
					temp = niz[i];
					niz[i]=niz[j];
					niz[j]=temp;
				}
	}
	APredmet& operator[] (int i) {
		return (*niz)[i];
	}
};

#endif //ZBIRKA_H
